/*=================================================

  Header Specific

=================================================*/
.header {
  background: @header-bg;
  .box-shadow(0 2px 12px #444);

  &-wrapper {
    .flexbox();
    .flexbox-prop(row, wrap, space-between, space-between);
    margin: 0 auto;
    padding: 12px 8%;
  }
}

.title-logo-wrapper {
  .flex-item-align(center);

	.site-title {
		font-size: 52px;
		font-weight: 100;
		margin-right: auto;
		margin-bottom: 0;

		a {
      .site-title-font;
			color: @site-title-color;
		}
	}

	.site-tagline {
    .site-tagline-font;
		margin-top: 0;
	}

	.site-logo {
		a {
			img {
				max-height: @logo-height;
        max-width: 100%;
			}
		}
	}
}

.main-nav {
  .flex-item-align(center);
	ul {
		margin: 0;
		padding: 0;
		list-style: none;
		line-height: 1em;
		position: relative;
		z-index: 8002;
	  text-align: right;
	  li {
	    text-align: right;
	    margin: 0 15px;
	    display: inline-block;
	    position: relative;
	    z-index: inherit;
	    a,
	    a:visited {
        .main-nav-font;
	      color: @main-nav-color;
	      span {
	        line-height: 2em;
	      }
	    }
	    a:hover,
	    a:focus {
	      color: fadeout(@main-nav-color, 15%);
	    }
	    &.active-link {
	      a,
	      a:visited {
	        color: @main-nav-active;
	      }
	      a:hover,
	      a:focus {
	      	color: fadeout(@main-nav-active, 30%);
	      }
	    }
	  }
	}

	.folder {
		.border-box();
		position: relative;
		cursor: pointer;
		z-index: 8003;

		.folder-parent {
			
			label {
				display: block;
				cursor: pointer;

				> a:first-child:before {
					content: '+';
					margin-right: 0.25em;
					text-decoration: none;
					width: 1em;
					display: inline-block;
				}
			}
		}
		&:hover,
		&.dropdown-open {
			.folder-parent {

				label > a:first-child:before {
					content: '-';
				}
			}
		}

		.folder-child-wrapper {
			position: absolute;
	    left: 50%;
	    margin-left:-100px;
	    z-index: 11;
	    margin-top: -5px;
	    ul.folder-child {
	      font-size: 1em;
	      display: none;
	      padding: 0;
	      margin: 0;
	      .border-box();
	      border-width: 1px;
	      border-style: solid;
	      width: 200px;
	      position: relative;
        background: @header-bg;
	      li {
	        text-align: center;
	        display: inline-block;
	        width: 100%;
	        margin: 0;
	        padding: 0;
	        border-width: 0 0 1px;
	        border-style: solid;
	        &:last-child {
	          border-bottom-width:0;
	        }
	        a {
	          display: inline-block;
	          padding: 12px;
	        }
	        &:not(.active-link) {
	        	a {
	        		color: @main-nav-color;

	        		&:hover {
	        			color: fadeout(@main-nav-color, 15%);
	        		}
	        	}
	        }
	        &.active-link {
	        	a,
	        	a:visited {
	        		color: @main-nav-active;
	        	}
	        	a:hover,
	        	a:focus {
	        		color: fadeout(@main-nav-active, 30%);
	        	}
	        }
	      }
	    }
		}

		&:hover,
	  .folder-child-wrapper:hover,
	  &:active,
	  .folder-child-wrapper:active {
	    ul.folder-child {
	      display: block;
	    }
	  }
	}
}

